## pcmcia-cs 2.8.22

=== Makefile ===
#
# Makefile 1.25 1995/12/13 18:56:15 (David Hinds)
#

DIRS = modules cardmgr flash debug-tools man etc

help:
	@echo "Pick one of the following targets:"
	@echo -e "\tmake config\t\t- configure and check system setup"
	@echo -e "\tmake dep\t\t- build dependencies"
	@echo -e "\tmake all\t\t- build modules and programs"
	@echo -e "\tmake install\t\t- install modules and programs"

config .prereq.ok:
	@./Configure

all:	.prereq.ok
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d ; done

clean:
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d clean ; done
	rm -f .prereq.ok config.out config.mk modules/config.h

dep:	.prereq.ok
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d dep ; done

install: .prereq.ok
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d install ; done

=== cardmgr/Makefile ===
#
# cardmgr/Makefile 1.46 1996/07/19 05:36:54 (David Hinds)
#

# Include site dependent options
include ../config.mk

ifndef CFLAGS
CFLAGS = -O -Wall -Wstrict-prototypes -pipe
XFLAGS = -O -pipe
endif
CPPFLAGS = -I../modules -I$(LINUX)/include

COFLAGS = -kv
YFLAGS = -d

SRCS = cardmgr.c cardctl.c yacc_config.c lex_config.c probe.c
HDRS = cardmgr.h
TOOLS = cardmgr cardctl

ifdef CONFIG_INET
SRCS := ${SRCS} ifport.c waveinfo.c
TOOLS := ${TOOLS} ifport waveinfo
endif

ifdef CONFIG_SCSI
SRCS := ${SRCS} scsi_info.c
TOOLS := ${TOOLS} scsi_info
endif

ifdef HAS_FORMS
SRCS := ${SRCS} cardinfo.c
EXTRA := ${EXTRA} cardinfo
endif

all:	$(SRCS) $(HDRS) $(TOOLS) $(EXTRA) probe

dep:	$(SRCS) $(HDRS)
	$(CPP) -M $(CPPFLAGS) $(SRCS) > .depend

clean:
	rm -f core core.* *.o *.a tmp_make *~
	for i in *.c;do rm -f `basename $$i .c`.s;done
	rm -f $(TOOLS) probe

cardmgr: cardmgr.o yacc_config.o lex_config.o

cardmgr.o: cardmgr.c

yacc_config.o: yacc_config.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -c yacc_config.c

lex_config.o: lex_config.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -c lex_config.c

parser: lex_config.o yacc_config.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -DDEBUG -o parser yacc_config.c lex_config.o

cardinfo: cardinfo.o
	$(CC) $(LFLAGS) -o cardinfo cardinfo.o -L/usr/X11/lib \
		-lforms -lX11 -lXpm -lm

install: $(TOOLS) $(EXTRA) probe
	mkdir -p $(PREFIX)/sbin
	cp -f $(TOOLS) $(PREFIX)/sbin
	chmod u+s $(PREFIX)/sbin/cardctl
	if [ "$(PREFIX)" != "" ] ; then			\
	    cp -f probe $(PREFIX)/sbin ;		\
	fi
	if [ -r cardinfo ] ; then			\
	    mkdir -p $(PREFIX)/usr/bin/X11 ;		\
	    cp -f cardinfo $(PREFIX)/usr/bin/X11 ;	\
	    chmod u+s $(PREFIX)/usr/bin/X11/cardinfo ;	\
	fi

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debug-tools/Makefile ===
#
# debug-tools/Makefile 1.18 1996/02/08 17:57:45 (David Hinds)
#

# Include site dependent options
include ../config.mk

ifndef CFLAGS
CFLAGS = -O -Wall -Wstrict-prototypes -pipe
endif
CPPFLAGS = -I../modules

COFLAGS = -kv

SRCS = dump_tuples.c dump_i365.c dump_tcic.c dump_cisreg.c

all:	dump_tuples dump_i365 dump_tcic dump_cisreg

dep:	$(SRCS)
	$(CPP) -M $(CPPFLAGS) $(SRCS) > .depend

clean:
	rm -f core core.* *.o *.a tmp_make *~
	for i in *.c;do rm -f `basename $$i .c`.s;done
	rm -f dump_tuples dump_i365 dump_tcic dump_cisreg

install:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== man/Makefile ===
#
# man/Makefile 1.23 1996/08/29 04:40:09 (David Hinds)
#

# Include site dependent options
include ../config.mk

COFLAGS = -kv
MANDIR = $(PREFIX)/usr/man

man1 = cardinfo.1
man4 = pcmcia_core.4 tcic.4 i82365.4 tc589_cs.4 pcnet_cs.4 xircnw_cs.4 \
	serial_cs.4 pcmem_cs.4 ftl_cs.4 memory_cs.4 fmvj18x_cs.4 \
	wavelan_cs.4 aha152x_cs.4
man5 = pcmcia.5 stab.5
man8 = cardmgr.8 cardctl.8 ftl_format.8 ftl_check.8 scsi_info.8 \
	ifport.8 waveinfo.8

all: $(man1) $(man4) $(man5) $(man8)

dep:

clean:

install: $(man1) $(man4) $(man5) $(man8)
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man4 $(MANDIR)/man5 $(MANDIR)/man8
	cp $(man1) $(MANDIR)/man1
	cp $(man4) $(MANDIR)/man4
	cp $(man5) $(MANDIR)/man5
	cp $(man8) $(MANDIR)/man8

=== modules/Makefile ===
#
# modules/Makefile $Revision: 1.66 $ $Date: 1996/07/22 14:54:53 $ (David Hinds)
#

# Include site dependent options and kernel configuration
include ../config.mk

ifndef CFLAGS
# Don't remove "-O2" or bad things will happen!
CFLAGS = -O2 -Wall -Wstrict-prototypes -Winline -pipe
endif

CPPFLAGS = $(PCDEBUG) -D__KERNEL__ -DMODULE -I. -I$(LINUX)/include -I$(LINUX)
COFLAGS = -kv

# For files in kernel source tree, so that we can override config flags
XFLAGS = -D__KERNEL__ -I. -I$(LINUX)/include
ifdef CONFIG_MODVERSIONS
XFLAGS := $(XFLAGS) $(MFLAG)
endif

SRCS = \
	i82365.c tcic.c cs.c cistpl.c rsrc_mgr.c bulkmem.c ds.c \
	serial_cs.c pcmem_cs.c memory_cs.c ftl_cs.c \
	sram_mtd.c iflash2_mtd.c iflash2+_mtd.c

MODULES = \
	i82365.o tcic.o pcmcia_core.o ds.o \
	serial_cs.o pcmem_cs.o memory_cs.o ftl_cs.o \
	sram_mtd.o iflash2_mtd.o iflash2+_mtd.o

EXTRA =

ifdef CONFIG_INET
MODULES := ${MODULES} \
	pcnet_cs.o 3c589_cs.o nmclan_cs.o fmvj18x_cs.o smc91c92_cs.o \
	xircnw_cs.o wavelan_cs.o
SRCS := ${SRCS} \
	pcnet_cs.c 3c589_cs.c nmclan_cs.c fmvj18x_cs.c smc91c92_cs.c \
	xircnw_cs.c wavelan_cs.c
EXTRA := ${EXTRA} 8390.o
ifdef CONFIG_TR
ifdef DO_IBMTR
MODULES := ${MODULES} ibmtr_cs.o
SRCS := ${SRCS} ibmtr_cs.c
endif
endif
endif

ifdef CONFIG_BLK_DEV_IDE_PCMCIA
MODULES := ${MODULES} fixed_cs.o
SRCS := ${SRCS} fixed_cs.c
endif

ifdef DO_AZTCD
MODULES := ${MODULES} aztcd_cs.o
EXTRA := ${EXTRA} aztcd.o
SRCS := ${SRCS} aztcd_cs.c
endif

ifdef CONFIG_SCSI
MODULES := ${MODULES} qlogic_cs.o aha152x_cs.o
SRCS := ${SRCS} qlogic_cs.c aha152x_cs.c
ifdef DO_FDOMAIN
MODULES := ${MODULES} fdomain_cs.o
SRCS := ${SRCS} fdomain_cs.c
endif
ifdef DO_T460
MODULES := ${MODULES} t460_cs.o
SRCS := ${SRCS} t460_cs.c
endif
endif

all:	$(MODULES) $(EXTRA)

dep:	$(SRCS)
	$(CPP) -M $(CPPFLAGS) $(SRCS) > .depend

8390.o: $(LINUX)/drivers/net/8390.c config.h
	$(CC) -c $(CFLAGS) $(XFLAGS) -DMODULE $<

ibmtr.o: $(LINUX)/drivers/net/ibmtr.c config.h
	$(CC) -c $(CFLAGS) $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<

ibmtr_cs.o: ibmtr_cs.c ibmtr.o
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o .$@
	$(LD) -r -o $@ .$@ ibmtr.o
	rm -f .$@
	chmod -x $@

aztcd.o: $(LINUX)/drivers/cdrom/aztcd.c config.h
	$(CC) -c $(CFLAGS) $(XFLAGS) -DMODULE $<

ifdef NEW_QLOGIC
qlogic.o: $(LINUX)/drivers/scsi/qlogicfas.c config.h
	$(CC) -c $(CFLAGS) $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $< -o $@
else
qlogic.o: $(LINUX)/drivers/scsi/qlogic.c config.h
	$(CC) -c $(CFLAGS) $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<
endif

qlogic_cs.o: qlogic_cs.c qlogic.o
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o .$@
	$(LD) -r -o $@ .$@ qlogic.o
	rm -f .$@
	chmod -x $@

aha152x.o: $(LINUX)/drivers/scsi/aha152x.c config.h
ifdef FIX_AHA152X
	patch $< patches/aha152x.fix -o aha152x.c
	$(CC) -c $(CFLAGS) $(XFLAGS) -I$(LINUX)/drivers/scsi \
		-DPCMCIA -D__NO_VERSION__ aha152x.c
	rm aha152x.c
else
	$(CC) -c $(CFLAGS) $(XFLAGS) $(AHAFLAG) \
		-DPCMCIA -D__NO_VERSION__ $<
endif

aha152x_cs.o: aha152x_cs.c aha152x.o
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o .$@
	$(LD) -r -o $@ .$@ aha152x.o
	rm -f .$@
	chmod -x $@

fdomain.o: $(LINUX)/drivers/scsi/fdomain.c config.h
	$(CC) -c $(CFLAGS) $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<

fdomain_cs.o: fdomain_cs.c fdomain.o
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o .$@
	$(LD) -r -o $@ .$@ fdomain.o
	rm -f .$@
	chmod -x $@

pcmcia_core.o: cs.o cistpl.o rsrc_mgr.o bulkmem.o
	$(LD) -r -o pcmcia_core.o cs.o cistpl.o rsrc_mgr.o bulkmem.o
	chmod -x pcmcia_core.o

clean:
	rm -f core core.* *.o .*.o *.s *.a tmp_make *~

MODDIR = $(PREFIX)/lib/modules/$(UTS_RELEASE)

install: $(MODULES) $(EXTRA)
	mkdir -p $(MODDIR)/pcmcia
	cp -p $(MODULES) $(MODDIR)/pcmcia
	if [ -f 8390.o ] ; then				\
	    mkdir -p $(MODDIR)/net ;			\
	    cp -p 8390.o $(MODDIR)/net ;		\
	fi
	if [ -f aztcd.o ] ; then			\
	    mkdir -p $(MODDIR)/cdrom ;			\
	    cp -p aztcd.o $(MODDIR)/cdrom ;		\
	fi

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

.c.s:
	$(CC) $(CFLAGS) $(CPPFLAGS) -S $<

## pcmcia-cs 0

=== debian/changelog ===
pcmcia-cs (1:0) unstable; urgency=low

  * Made the whole package a transitional dummy package.
  * Removed pcmcia-cs-udeb.
  * Added code to postinst to remove old conffiles.
  * Remove /etc/default/pcmcia and debconf data when purging.

 -- Per Olofsson <pelle@debian.org>  Wed, 20 Jun 2007 14:02:48 +0100

pcmcia-cs (3.2.8-9) unstable; urgency=low

  * Removed pcmcia-source binary package. Closes: #394018.
    - Consequently remove all pcmcia-modules related stuff.
  * Removed pnpbios-utils binary package.
  * Cleanup debian/rules.
  * Update standards-version to 3.7.2.
  * Add empty Require-{Start,Stop} fields to LSB info field in the init
    script.
  * Update LSB description in init script.

 -- Per Olofsson <pelle@debian.org>  Sun, 22 Oct 2006 19:21:46 +0200

pcmcia-cs (3.2.8-8) unstable; urgency=low

  * Put non-i386 config.opts in the right place in the udeb in
    debian/rules. Fixes build error.

 -- Per Olofsson <pelle@debian.org>  Sat, 25 Feb 2006 15:57:06 +0100

pcmcia-cs (3.2.8-7) unstable; urgency=low

  * Don't even bother with debconf and starting pcmcia-cs in
    pcmcia-modules-*.
  * Made pcmcia-source depend on dpatch.
  * Don't copy the init script to the udeb if building kernel modules.
  * Added config entry for Zonet zcf-1400. Thanks to Magnus Lundstedt.
    Closes: #351725.
  * Rip out config.opts from everywhere except the udeb. Let pcmciautils
    provide it instead.
  * Print less confusing error message when not starting because
    pcmciautils should be used. Also don't print it when run by init.
  * Added NEWS.Debian entry about the pcmciautils migration.
    Closes: #351671.

 -- Per Olofsson <pelle@debian.org>  Sat, 18 Feb 2006 23:31:08 +0100

pcmcia-cs (3.2.8-6) unstable; urgency=low

  * Acknowledging NMUs. Closes: #329099, #329100, #329101.
  * Closes: #321392: log_error_msg should be log_failure_msg in init
    script.
  * Don't complain about missing modules and don't fail if they cannot be
    loaded. cardmgr will tell us if something is wrong. Closes: #321467.
  * Remove failed_to_load function from init script.
  * Depend on pcmciautils. Needed for newer kernels. This will make
    upgrades smooth. Closes: #329329.
  * Recommend udev | hotplug.
  * Document allow-hotplug in README.Debian. Closes: #336909, #330794.
  * Set user write permission on all files when building to avoid problems
    on some file systems. Closes: #340034.
  * Add U.S. Robotics USR7901 ethernet card to config. Closes: #335069.
  * Use log_action_begin_msg and log_action_end_msg in the init script to
    get better and policy-conforming output.
  * Prefer dependency on module-init-tools instead of modutils.
  * Don't start pcmcia-cs if kernel version >= 2.6.13 and udev is
    enabled. Let pcmciautils handle these cases.
  * Updated description.

 -- Per Olofsson <pelle@debian.org>  Wed, 25 Jan 2006 20:39:47 +0100

pcmcia-cs (3.2.8-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non-writeable $(UDEBDIR)/etc/init.d/pcmcia before trying to copy
    over it, fixing build failure on XFS filesystems.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Oct 2005 18:41:11 +0100

pcmcia-cs (3.2.8-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Try to load pcmcia for >= 2.6.11 as well as ds (closes: #329099).
  * Install rewritten init script in pcmcia-cs-udeb too (closes: #329100).
  * Fix bashism in init script installer support path (closes: #329101).

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Oct 2005 20:12:00 +0100

pcmcia-cs (3.2.8-5) unstable; urgency=low

  * Don't try to load the ds module if it is compiled in
    statically. Closes: #321095.
  * Improved module loading code somewhat.
  * If $PCIC is not defined and PCMCIA sockets are not available, just
    output a simple message saying so and exit. Only on 2.6 kernels.
  * Put a /etc/default/pcmcia in the udeb which contains
    PCIC=i82365. Don't default to it anymore in the init script if PCIC is
    empty.

 -- Per Olofsson <pelle@debian.org>  Wed,  3 Aug 2005 18:17:32 +0200

pcmcia-cs (3.2.8-4) unstable; urgency=low

  * Also check for /dev/.udevdb when determining whether to create/remove
    device nodes or not. Closes: #317546.
  * Don't add the -q option to MODPROBE_OPTIONS. There's no point I think,
    just something I misunderstood about the Ubuntu patch.
  * Removed dependency on pnpbios-tools. Closes: #321081.
  * Don't build and install PnP BIOS tools if the pnpbios-tools package is
    not being built on this architecture.

 -- Per Olofsson <pelle@debian.org>  Wed,  3 Aug 2005 09:52:10 +0200

pcmcia-cs (3.2.8-3) unstable; urgency=low

  * Added config entries for the atmel_cs cards SMC 2632W-V2 and
    3CRSHPW_96. Thanks to Ubuntu.
  * Don't try to create device nodes on udev systems. Don't try to remove
    them either (the same on devfs systems). Thanks to Ubuntu.
    Closes: #317546.
  * Split out lspnp and setpnp to their own package,
    pnpbios-tools. Closes: #307224.
  * Use the -s option with debhelper instead of -a.
  * Always try to remove all modules when stopping PCMCIA, even if ds is
    not loaded. Thanks to Stephen Gildea. Closes: #319485.
  * Added some PNP IDs from Ryan Underwood. Closes: #305404.
  * Build a smaller cardmgr for the udeb, using -Os and
    -fomit-frame-pointer. Closes: #314377.
  * Rewrote the init script, including modifications from Ubuntu. Made it
    LSB-compliant (or at least I think so). Placed it in debian/ instead
    of patching the upstream one.
  * Added config entries for atmel_cs cards. Thanks to Ubuntu.
  * Updated Standards-Version to 3.6.2.0.
  * Made pcmcia-source recommend libc6-dev | libc-dev.
  * Fixed wrong sections in manpages.
  * Made cardmgr not log to the console. This prevents it from spewing out
    a lot of messages early in the boot process, when syslog is not
    available.
  * Updated debconf template translations:
    - Bosnian (bs.po) by Safir Secerovic. Closes: #302757.


=== debian/control ===
Source: pcmcia-cs
Section: base
Priority: extra
Maintainer: Per Olofsson <pelle@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pcmcia-cs
Architecture: all
Depends: pcmciautils
Description: transitional package
 This is a transitional package which depends on pcmciautils. It only
 exists to make upgrades easier. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pcmcia-cs 3.1.22

=== cardmgr/Makefile ===
#
# cardmgr/Makefile 1.82 2000/11/07 19:00:35 (David Hinds)
#

# Include site dependent options
include ../config.mk

CFLAGS = -O -Wall -Wstrict-prototypes -pipe
CPPFLAGS += -I../modules

CC += $(UFLAGS)

SRCS  = cardmgr.c cardctl.c yacc_config.c lex_config.c probe.c
TOOLS = cardmgr cardctl

ifdef CONFIG_INET
SRCS  += ifport.c ifuser.c
TOOLS += ifport ifuser
endif

ifdef CONFIG_SCSI
SRCS  += scsi_info.c
TOOLS += scsi_info
endif

ifdef DO_IDE
SRCS  += ide_info.c
TOOLS += ide_info
endif

ifdef HAS_FORMS
SRCS  += cardinfo.c
CPPFLAGS += -I/usr/X11R6/include -I/usr/X11/include -I/usr/X11R6/include/X11
EXTRA += cardinfo
I_EXTRA += install-cardinfo
endif

ifdef CONFIG_ISA
PROBE = probe
ifdef PREFIX
I_EXTRA += install-probe
endif
endif

all:	$(SRCS) $(TOOLS) $(EXTRA) $(PROBE)

clean:
	rm -f core core.* *.o *.s *.a *~ .depend .depfiles/*.d
	rm -f $(TOOLS) $(EXTRA) probe

cardmgr: cardmgr.o yacc_config.o lex_config.o

yacc_config.o lex_config.o: %.o: %.c
	$(CC) -c -MD -O -pipe $(CPPFLAGS) $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

parser: lex_config.o yacc_config.c
	$(CC) -O $(CPPFLAGS) -DYYDEBUG=1 -o $@ yacc_config.c lex_config.o

cardinfo: cardinfo.o
	$(CC) $< -o $@ $(FLIBS) -lm

install-cardinfo: cardinfo
	@mkdir -p $(PREFIX)/usr/X11R6/bin
	cp -f cardinfo $(PREFIX)/usr/X11R6/bin
	chmod u+s $(PREFIX)/usr/X11R6/bin/cardinfo

install-probe:
	@mkdir -p $(PREFIX)/sbin
	cp -f probe $(PREFIX)/sbin

install: $(TOOLS) $(I_EXTRA)
	@mkdir -p $(PREFIX)/sbin
	@rm -f $(PREFIX)/sbin/cardmgr
	cp -f $(TOOLS) pcinitrd $(PREFIX)/sbin
	chmod u+s $(PREFIX)/sbin/cardctl

include ../rules.mk

=== clients/Makefile ===
#
# Copyright (C) 1998 David A. Hinds -- dahinds@users.sourceforge.net
#
# Makefile 1.130 2000/10/27 20:24:01
#

# Include site dependent options and kernel configuration
include ../config.mk

# For files in kernel source tree, so that we can override config flags
XFLAGS := -O2 $(CPPFLAGS) -D__KERNEL__ -DEXPORT_SYMTAB $(MFLAG)

# Don't remove "-O3" or bad things will happen!
CFLAGS = -O3 -Wall -Wstrict-prototypes -pipe
CPPFLAGS += $(PCDEBUG) -D__KERNEL__ -DMODULE

CC += $(AFLAGS) $(KFLAGS)

SRCS    = serial_cs.c memory_cs.c ftl_cs.c dummy_cs.c \
	  sram_mtd.c iflash2_mtd.c iflash2+_mtd.c
MODULES = serial_cs.o memory_cs.o ftl_cs.o dummy_cs.o \
	  sram_mtd.o iflash2_mtd.o iflash2+_mtd.o
EXTRA   =
I_EXTRA =

ifdef CONFIG_CARDBUS
SRCS    += memory_cb.c serial_cb.c
MODULES += memory_cb.o serial_cb.o
ifdef CONFIG_INET
SRCS    += 3c575_cb.c tulip_cb.c epic_cb.c eepro100_cb.c
MODULES += 3c575_cb.o tulip_cb.o epic_cb.o eepro100_cb.o
endif
ifdef CONFIG_SCSI
ifdef DO_APA1480
SRCS    += apa1480_stub.c aic7xxx.c
MODULES += apa1480_cb.o
endif
endif
ifdef CONFIG_IEEE1394
SRCS    += pcilynx_stub.c pcilynx.c
MODULES += pcilynx_cb.o
endif
endif

ifdef CONFIG_INET
MODULES += pcnet_cs.o 3c589_cs.o nmclan_cs.o fmvj18x_cs.o smc91c92_cs.o \
	   xirc2ps_cs.o 3c574_cs.o
SRCS    += pcnet_cs.c 3c589_cs.c nmclan_cs.c fmvj18x_cs.c smc91c92_cs.c \
	   xirc2ps_cs.c 3c574_cs.c
SRCS    += 8390.c
EXTRA   += 8390.o
I_EXTRA += install-8390
ifdef CONFIG_TR
MODULES += ibmtr_cs.o
SRCS    += ibmtr_cs.c
endif
endif

ifdef DO_IDE
SRCS    += ide_cs.c
MODULES += ide_cs.o
endif

ifdef DO_PARPORT
SRCS    += parport_cs.c
MODULES += parport_cs.o
endif

vpath %.c $(LINUX)/drivers/net $(LINUX)/drivers/scsi \
	$(LINUX)/drivers/net/tokenring $(LINUX)/drivers/ieee1394

SCSI=$(LINUX)/drivers/scsi

ifdef CONFIG_SCSI
SRCS    += qlogicfas.c aha152x.c fdomain.c
SRCS    += qlogic_stub.c aha152x_stub.c fdomain_stub.c
MODULES += qlogic_cs.o aha152x_cs.o fdomain_cs.o
endif

all:	$(MODULES) $(EXTRA)

8390.o: 8390.c
	$(CC) -MD -c $(XFLAGS) -DMODULE $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

ibmtr.o: ibmtr.c
	$(CC) -MD -c $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

ibmtr_cs.o: ibmtr_cs.c ibmtr.o
	$(CC) -c -MD $(CFLAGS) $(CPPFLAGS) $< -o .$@
	@mkdir -p .depfiles ; mv $*.d .depfiles
	$(LD) -r -o $@ .$@ ibmtr.o
	rm -f .$@ ; chmod -x $@

qlogicfas.o aha152x.o fdomain.o: %.o: %.c
	$(CC) -MD -c $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

qlogic_cs.o: qlogic_stub.o qlogicfas.o
	$(LD) -r -o $@ $+ ; chmod -x $@

aha152x_cs.o: aha152x_stub.o aha152x.o
	$(LD) -r -o $@ $+ ; chmod -x $@

fdomain_cs.o: fdomain_stub.o fdomain.o
	$(LD) -r -o $@ $+ ; chmod -x $@

3c575_cb.o tulip_cb.o epic_cb.o eepro100_cb.o: %.o: %.c
	$(CC) -MD -c $(XFLAGS) -DMODULE -DCARDBUS $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

aic7xxx.o: aic7xxx.c
ifdef FIX_AIC7XXX
	cd $(SCSI) ; if [ -r aic7xxx_asm.c -a ! -r aic7xxx_seq.h ] ; \
		then $(CC) -o aic7xxx_asm aic7xxx_asm.c ; \
		./aic7xxx_asm -o aic7xxx_seq.h aic7xxx.seq ; fi
	patch -s $< patches/aic7xxx.old -o aic7xxx.c 2>/dev/null || \
		( rm -f aic7xxx.c aic7xxx.c.rej aic7xxx.c.orig && \
		patch -s $< patches/aic7xxx.fix -o aic7xxx.c )
	$(CC) -MD -c $(CFLAGS) $(CPPFLAGS) -I$(SCSI) aic7xxx.c
	rm aic7xxx.c
else
	$(CC) -MD -c $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<
endif
	@mkdir -p .depfiles ; mv $*.d .depfiles

apa1480_cb.o: apa1480_stub.o aic7xxx.o
	$(LD) -r -o $@ $+ ; chmod -x $@

pcilynx.o: pcilynx.c
	$(CC) -MD -c $(XFLAGS) -DPCMCIA -D__NO_VERSION__ $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

pcilynx_cb.o: pcilynx_stub.o pcilynx.o
	$(LD) -r -o $@ $+ ; chmod -x $@

clean:
	rm -f core core.* *.o .*.o *.s *.a *~ .depend .depfiles/*.d

install-modules: $(MODULES)
	@mkdir -p $(PREFIX)$(MODDIR)/pcmcia
	cp $(MODULES) $(PREFIX)$(MODDIR)/pcmcia

install-8390: 8390.o
	@mkdir -p $(PREFIX)$(MODDIR)/net
	cp 8390.o $(PREFIX)$(MODDIR)/net

install: install-modules $(I_EXTRA)

include ../rules.mk

=== debug-tools/Makefile ===
#
# debug-tools/Makefile 1.41 2000/05/23 02:52:35 (David Hinds)
#

# Include site dependent options
include ../config.mk

CFLAGS = -O -Wall -Wstrict-prototypes -pipe
XFLAGS = -O -pipe
CPPFLAGS += -I../modules
CC += $(UFLAGS)

SRCS  = dump_cis.c dump_cisreg.c pack_cis.c dump_exca.c
HDRS  = pack_cis.h
TOOLS = dump_cis dump_cisreg pack_cis dump_exca

ifdef CONFIG_PNP_BIOS
SRCS  += lspnp.c setpnp.c
TOOLS += lspnp setpnp
endif

ifdef CONFIG_ISA
SRCS  += dump_tcic.c
TOOLS += dump_tcic
endif

ifdef CONFIG_PCI
SRCS  += dump_cardbus.c
TOOLS += dump_cardbus
endif

all:	$(SRCS) $(HDRS) $(TOOLS)

dump_cis: dump_cis.o

dump_i365: dump_i365.o

dump_tcic: dump_tcic.o

dump_cisreg: dump_cisreg.o

lspnp: lspnp.o

setpnp: setpnp.o

yacc_cis.o: yacc_cis.c
	$(CC) -MD $(XFLAGS) $(CPPFLAGS) -c $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

lex_cis.o: lex_cis.c yacc_cis.h
	$(CC) -MD $(XFLAGS) $(CPPFLAGS) -c $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

pack_cis: pack_cis.o lex_cis.o yacc_cis.o
	$(CC) $+ -o $@ -lm

parser: lex_cis.o yacc_cis.c
	$(CC) $(XFLAGS) $(CPPFLAGS) -DDEBUG -o $@ $+

clean:
	rm -f core core.* *.o *.s *.a *~ .depend .depfiles/*.d
	rm -f dump_i365 dump_tcic $(TOOLS)

install: $(TOOLS)
	@mkdir -p $(PREFIX)/sbin
	cp -f dump_cis pack_cis $(PREFIX)/sbin
ifdef CONFIG_PNP_BIOS
	cp -f lspnp setpnp $(PREFIX)/sbin
	@mkdir -p $(PREFIX)/usr/share
	cp -f pnp.ids $(PREFIX)/usr/share
endif

include ../rules.mk

=== modules/Makefile ===
#
# Copyright (C) 2000 David A. Hinds -- dahinds@users.sourceforge.net
#
# Makefile 1.118 2000/08/23 20:22:47
#

# Include site dependent options and kernel configuration
include ../config.mk

# Don't remove "-O2" or bad things will happen!  We use -O2 rather
# than -O3 because it yields smaller code; this is not performance
# critical stuff.

CFLAGS = -O2 -Wall -Wstrict-prototypes -pipe
CPPFLAGS += $(PCDEBUG) -D__KERNEL__ -DMODULE

CC += $(AFLAGS) $(KFLAGS)

SRCS    = cs.c cistpl.c rsrc_mgr.c bulkmem.c ds.c
CORE    = cs.o cistpl.o rsrc_mgr.o bulkmem.o
MODULES = pcmcia_core.o ds.o

ifdef CONFIG_PCMCIA
all:
	@echo "Your kernel is already configured with PCMCIA support."
else

ifdef CONFIG_CARDBUS
SRCS    += cardbus.c cb_enabler.c
CORE    += cardbus.o
MODULES += cb_enabler.o
endif

# Which socket drivers do we need?
ifeq ($(ARCH), arm)
SRCS	+= sa1100.c
MODULES	+= sa1100.o
else
ifdef CONFIG_8xx
SRCS	+= m8xx_pcmcia.c
MODULES	+= m8xx_pcmcia.o
else
SRCS	+= i82365.c tcic.c
MODULES	+= i82365.o tcic.o
endif
endif

ifdef CONFIG_PCI
SRCS    += pci_fixup.c
CORE    += pci_fixup.o
endif

ifdef CONFIG_PNP_BIOS
SRCS    += pnp_bios.c pnp_proc.c pnp_rsrc.c
CORE    += pnp_bios.o pnp_proc.o pnp_rsrc.o
endif

all:	$(MODULES)

pcmcia_core.o: $(CORE)
	$(LD) -r -o $@ $(CORE)
	chmod -x $@

install install-modules: $(MODULES)
	@mkdir -p $(PREFIX)$(MODDIR)/pcmcia
	cp $(MODULES) $(PREFIX)$(MODDIR)/pcmcia

include ../rules.mk

endif

clean:
	rm -f core core.* *.o .*.o *.s *.a *~ .depend .depfiles/*.d

=== wireless/Makefile ===
#
# Copyright (C) 1998 David A. Hinds -- dahinds@users.sourceforge.net
#
# Makefile 1.7 2000/06/12 21:32:03
#

# Include site dependent options and kernel configuration
include ../config.mk

# Don't remove "-O3" or bad things will happen!
CFLAGS = -O3 -Wall -Wstrict-prototypes -pipe
CPPFLAGS += $(PCDEBUG) -D__KERNEL__ -DMODULE

CC += $(AFLAGS) $(KFLAGS)

XFLAGS = $(CFLAGS) $(CPPFLAGS) $(MFLAG)

MODULES = netwave_cs.o wavelan_cs.o ray_cs.o wvlan_cs.o airo_cs.o airo.o
SRCS    = netwave_cs.c wavelan_cs.c ray_cs.c airo_cs.c airo.c \
	  wvlan_cs.c wvlan_hcf.c wvlan_hcfio.c \

all:	$(MODULES)

wvlan_hcf.o wvlan_hcfio.o: %.o: %.c
	$(CC) -MD -c $(XFLAGS) $<
	@mkdir -p .depfiles ; mv $*.d .depfiles

wvlan_cs.o: wvlan_cs.c wvlan_hcf.o wvlan_hcfio.o
	$(CC) -c -MD $(CFLAGS) $(CPPFLAGS) $< -o .$@
	@mkdir -p .depfiles ; mv $*.d .depfiles
	$(LD) -r -o $@ .$@ wvlan_hcf.o wvlan_hcfio.o
	rm -f .$@ ; chmod -x $@

clean:
	rm -f core core.* *.o .*.o *.s *.a *~ .depend .depfiles/*.d

install: $(MODULES)
	@mkdir -p $(PREFIX)$(MODDIR)/pcmcia
	cp $(MODULES) $(PREFIX)$(MODDIR)/pcmcia

include ../rules.mk
